FROM python:3.8-slim

#Ne pas créer les fichiers .pyc
ENV PYTHONDONTWRITEBYTECODE=1
#Afficher les logs directement dans le terminal
ENV PYTHONUNBUFFERED=1

#Installation des dépendances de opencv (TODO: supprimer si plus besoin)
RUN apt-get update
RUN apt-get install ffmpeg libsm6 libxext6  -y

# Installation des dépendances python
COPY requirements.txt .
RUN python -m pip install -r requirements.txt

# Création du répertoire de travail
WORKDIR /app
COPY . /app

CMD ["python", "main.py"]
